
_main:

;trial.c,20 :: 		void main()
;trial.c,22 :: 		trisb=0x00;
	CLRF       TRISB+0
;trial.c,23 :: 		portb=0;
	CLRF       PORTB+0
;trial.c,24 :: 		adcon1=0b00000101;
	MOVLW      5
	MOVWF      ADCON1+0
;trial.c,25 :: 		ADCON0=0x05;
	MOVLW      5
	MOVWF      ADCON0+0
;trial.c,26 :: 		trisa.f0=1;
	BSF        TRISA+0, 0
;trial.c,27 :: 		porta.f0=0;
	BCF        PORTA+0, 0
;trial.c,28 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;trial.c,29 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;trial.c,30 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;trial.c,31 :: 		ADC_Init();
	CALL       _ADC_Init+0
;trial.c,32 :: 		while(1)
L_main0:
;trial.c,34 :: 		Lcd_Out(1,1, "Temp('C):");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_trial+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;trial.c,35 :: 		adc_rd=ADC_Read(0);
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _adc_rd+0
	MOVF       R0+1, 0
	MOVWF      _adc_rd+1
;trial.c,36 :: 		mv1=adc_rd/0.001168;
	CALL       _Word2Double+0
	MOVLW      148
	MOVWF      R4+0
	MOVLW      23
	MOVWF      R4+1
	MOVLW      25
	MOVWF      R4+2
	MOVLW      117
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _mv1+0
	MOVF       R0+1, 0
	MOVWF      _mv1+1
	MOVF       R0+2, 0
	MOVWF      _mv1+2
	MOVF       R0+3, 0
	MOVWF      _mv1+3
;trial.c,37 :: 		mv3=mv1*0.001168;
	MOVLW      148
	MOVWF      R4+0
	MOVLW      23
	MOVWF      R4+1
	MOVLW      25
	MOVWF      R4+2
	MOVLW      117
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _mv3+0
	MOVF       R0+1, 0
	MOVWF      _mv3+1
	MOVF       R0+2, 0
	MOVWF      _mv3+2
	MOVF       R0+3, 0
	MOVWF      _mv3+3
;trial.c,38 :: 		temp=mv3/10;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	MOVF       R0+2, 0
	MOVWF      _temp+2
	MOVF       R0+3, 0
	MOVWF      _temp+3
;trial.c,39 :: 		f1=temp*9;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      16
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _f1+0
	MOVF       R0+1, 0
	MOVWF      _f1+1
	MOVF       R0+2, 0
	MOVWF      _f1+2
	MOVF       R0+3, 0
	MOVWF      _f1+3
;trial.c,40 :: 		f2=f1/5;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      129
	MOVWF      R4+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _f2+0
	MOVF       R0+1, 0
	MOVWF      _f2+1
	MOVF       R0+2, 0
	MOVWF      _f2+2
	MOVF       R0+3, 0
	MOVWF      _f2+3
;trial.c,41 :: 		farn=f2+32;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      132
	MOVWF      R4+3
	CALL       _Add_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _farn+0
	MOVF       R0+1, 0
	MOVWF      _farn+1
	MOVF       R0+2, 0
	MOVWF      _farn+2
	MOVF       R0+3, 0
	MOVWF      _farn+3
;trial.c,42 :: 		FloatToStr(temp,tempchar1);
	MOVF       _temp+0, 0
	MOVWF      FARG_FloatToStr_fnum+0
	MOVF       _temp+1, 0
	MOVWF      FARG_FloatToStr_fnum+1
	MOVF       _temp+2, 0
	MOVWF      FARG_FloatToStr_fnum+2
	MOVF       _temp+3, 0
	MOVWF      FARG_FloatToStr_fnum+3
	MOVLW      _tempchar1+0
	MOVWF      FARG_FloatToStr_str+0
	CALL       _FloatToStr+0
;trial.c,43 :: 		lcd_out(1,10,tempchar1);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _tempchar1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;trial.c,44 :: 		delay_ms(10);
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L_main2:
	DECFSZ     R13+0, 1
	GOTO       L_main2
	DECFSZ     R12+0, 1
	GOTO       L_main2
	NOP
;trial.c,49 :: 		}
	GOTO       L_main0
;trial.c,52 :: 		}
	GOTO       $+0
; end of _main
