// LCD module connections
sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
// End LCD module connections
unsigned int adc_rd;
float mv1,mv2,mv3,temp,f1,f2,farn;
char tempchar1[14];
char tempchar2[14];
char scnd[6];
char mnte[6];
char hours[6];
void main()
{
trisb=0x00;
portb=0;
trisc=255;
portc=0;
adcon1=0b00000101;
ADCON0=0x05;
trisa.f0=1;
porta.f0=0;
Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);               // Clear display
  Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
ADC_Init();
while(1)
{
Lcd_Out(1,1, "Temp('C):");
Lcd_Out(2,1,"HH:");
Lcd_Out(2,5,"MM:");
Lcd_Out(2,9,"SS");

lcd_out(2,1,scnd);
lcd_out(2,4,mnte);
lcd_out(2,7,hours);

adc_rd=ADC_Read(0);
mv1=adc_rd/0.001168;
mv3=mv1*0.001168;
temp=mv3/10;
f1=temp*9;
   f2=f1/5;
farn=f2+32;
FloatToStr(temp,tempchar1);
lcd_out(1,10,tempchar1);
delay_ms(10);
   /*FloatToStr(farn,tempchar2);
Lcd_Out(3,1, "Temperature In 'F");
lcd_out(4,1,tempchar2);
delay_ms(10); */

if(portc.f0==1)
 {
   void second()
   unsigned s;
   {
     for(s=0;s<60;s++)
     delay_ms(1000);
   }
   void minute()
   unsigned m;
    {
      for(m=0;m<60;m++)
      second();
    }
   void hour()
   unsigned h;
     {
       for(h=0;h<24;h++)
       minute();
     }
  IntToStr(second,scnd);
  //lcd_out(2,1,scnd);
  IntToStr(minute,mnte);
  //lcd_out(2,4,mnte);
  IntToStr(hour,hours);
  //lcd_out(2,7,hours);
  }
}